import {Component, ViewChild, Input} from '@angular/core';
import {Location} from '@angular/common';
import {Observable}       from 'rxjs';
import {ActivatedRoute}                  from '@angular/router';
import {EnvProperties}                           from '../../openaireLibrary/utils/properties/env-properties';

@Component({
    selector: 'openaire-claims-admin',
    template: `
    <claims-admin *ngIf="claimsInfoURL && userInfoURL" [claimsInfoURL]=claimsInfoURL [userInfoURL]="userInfoURL">
    </claims-admin>

    `,

})
export class OpenaireClaimsAdminComponent {

  claimsInfoURL:string;
  userInfoURL: string;

 constructor (private route: ActivatedRoute) {

  }
  public ngOnInit() {
    this.route.data
        .subscribe((data: { envSpecific: EnvProperties }) => {
           this.claimsInfoURL = data.envSpecific.claimsInformationLink;
          this.userInfoURL = data.envSpecific.userInfoUrl;
        });
  }
}
