import {Component, Input} from '@angular/core';
import {Observable} from 'rxjs';
import {ActivatedRoute} from '@angular/router';
import {EnvProperties} from '../../openaireLibrary/utils/properties/env-properties';



@Component({
    selector: 'openaire-my-claims',
    template: `
    <my-claims *ngIf="userInfoURL && claimsInfoURL" [claimsInfoURL]=claimsInfoURL [userInfoURL]="userInfoURL">
</my-claims>
`

})
 export class OpenaireMyClaimsComponent {
  claimsInfoURL:string;
  userInfoURL: string;

  constructor (private route: ActivatedRoute) {

   }
   public ngOnInit() {
     this.route.data
         .subscribe((data: { envSpecific: EnvProperties }) => {
            this.claimsInfoURL = data.envSpecific.claimsInformationLink;
            this.userInfoURL = data.envSpecific.userInfoUrl;
         });
   }
}
