import { NgModule }            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import { OpenaireDepositDatasetsResultComponent } from './depositDatasetsResult.component';

import {DepositDatasetsResultsRoutingModule} from './depositDatasetsResults-routing.module';
import {DepositDatasetsResultsModule} from '../../openaireLibrary/deposit/datasets/depositDatasetsResults.module';
import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {IsRouteEnabled} from '../../openaireLibrary/error/isRouteEnabled.guard'

@NgModule({
  imports: [
    CommonModule, FormsModule,
    DepositDatasetsResultsModule,
    DepositDatasetsResultsRoutingModule
  ],
  declarations: [

    OpenaireDepositDatasetsResultComponent,

  ],
  exports: [
    OpenaireDepositDatasetsResultComponent,
   ],
  providers:    [FreeGuard,PreviousRouteRecorder, IsRouteEnabled]
})
export class LibDepositDatasetsResultsModule { }
