import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import {AdvancedSearchOrpsRoutingModule} from './advancedSearchOrps-routing.module';
import {OpenaireAdvancedSearchOrpsComponent} from './advancedSearchOrps.component';

import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
import {IsRouteEnabled} from '../../openaireLibrary/error/isRouteEnabled.guard'
import {SearchResearchResultsModule} from "../../openaireLibrary/searchPages/simple/searchResearchResults.module";
import {AdvancedSearchResearchResultsModule} from "../../openaireLibrary/searchPages/advanced/advancedSearchResearchResults.module";

@NgModule({
  imports: [
    CommonModule, FormsModule,
    AdvancedSearchOrpsRoutingModule, SearchResearchResultsModule, AdvancedSearchResearchResultsModule

  ],
  declarations: [
    OpenaireAdvancedSearchOrpsComponent
   ],
  providers:[FreeGuard, IsRouteEnabled],
  exports: [
    OpenaireAdvancedSearchOrpsComponent
     ]
})
export class LibAdvancedSearchOrpsModule { }
