import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import{ SearchPublicationsRoutingModule} from './searchPublications-routing.module';
import{OpenaireSearchPublicationsComponent} from './searchPublications.component';

import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {IsRouteEnabled} from '../../openaireLibrary/error/isRouteEnabled.guard'
import {SearchResearchResultsModule} from "../../openaireLibrary/searchPages/simple/searchResearchResults.module";

@NgModule({
  imports: [
    CommonModule, FormsModule,
    SearchPublicationsRoutingModule, SearchResearchResultsModule

  ],
  declarations: [
    OpenaireSearchPublicationsComponent
   ],
  providers:[FreeGuard,PreviousRouteRecorder, IsRouteEnabled],
  exports: [
    OpenaireSearchPublicationsComponent
     ]
})
export class LibSearchPublicationsModule { }
